//+------------------------------------------------------------------+
//|                                                      Windows.mqh |
//|                               Copyright 2022, Pimient Investment |
//|                                                https://127.0.0.1 |
//+------------------------------------------------------------------+
#property copyright "Copyright 2022, Pimient Investment"
#property link      "https://127.0.0.1"
#property strict
#property version   "1.01"

//+------------------------------------------------------------------+
//| INCLUDE                                                          |
//+------------------------------------------------------------------+
#include <WinUser32.mqh>

//+------------------------------------------------------------------+
//| CONSTANTS                                                        |
//+------------------------------------------------------------------+
#define SW_FORCEMINIMIZE   11
#define SW_SHOWDEFAULT     10
#define SW_RESTORE         9
#define SW_SHOWNA          8
#define SW_SHOWMINNOACTIVE 7
#define SW_MINIMIZE        6
#define SW_SHOW            5
#define SW_SHOWNOACTIVATE  4
#define SW_MAXIMIZE        3
#define SW_SHOWMAXIMIZED   3
#define SW_SHOWMINIMIZED   2
#define SW_SHOWNORMAL      1
#define SW_HIDE            0

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void maximizeChartWindow()
{
    int window = WindowHandle(Symbol(), Period());
    int parent = GetParent(window);
    ShowWindow(parent, SW_MAXIMIZE);
}

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void minimizeChartWindow()
{
    int window = WindowHandle(Symbol(), Period());
    int parent = GetParent(window);
    ShowWindow(parent, SW_FORCEMINIMIZE);
}

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void restoreChartWindow()
{
    int window = WindowHandle(Symbol(), Period());
    int parent = GetParent(window);
    ShowWindow(parent, SW_RESTORE);
}

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void resizeChartWindow(const int x, const int y, const int width, const int height)
{
    int window = WindowHandle(Symbol(), Period());
    int parent = GetParent(window);
    MoveWindow(parent, x, y, width, height, true);
}
//+------------------------------------------------------------------+
